Page MenuHomePhabricator

Introduce DebugCounter into PartiallyInlineLibCalls pass
ClosedPublic

Authored by zhizhouy on Jul 31 2018, 11:26 AM.

Details

Summary

This patch introduces DebugCounter into PartiallyInlineLibCalls pass at per-transformation level.

It will provide an option to skip first n or stop after n transformations for the whole PartiallyInlineLibCalls pass.

This will make debug easier for the pass, also providing chance to do transformation level bisecting.

Diff Detail

Repository
rL LLVM

Event Timeline

zhizhouy created this revision.Jul 31 2018, 11:26 AM
zhizhouy updated this revision to Diff 158636.Aug 1 2018, 2:19 PM

Put test under X86/ directory, as -mtriple specified.

ping for reviewing... thanks!

davide accepted this revision.Sep 5 2018, 2:00 PM
davide added a subscriber: davidxl.

LGTM. @eraman / @davidxl might have opinions on this.

This revision is now accepted and ready to land.Sep 5 2018, 2:00 PM

The counter name seems too long, how about dropping 'transform'.

The counter name seems too long, how about dropping 'transform'.

The idea is to add "-transform" after each DEBUT_TYPE name for passes so that we can do transformation level bisection using DebugCounter.
Just want to add this to unify all the names, but if you think it is too long, I think dropping it may also work.

davidxl accepted this revision.Sep 5 2018, 6:44 PM

lgtm. I am not fixed on the naming either.

This revision was automatically updated to reflect the committed changes.